Package be.fgov.ehealth.commons.core.v1

# Class LocalisedString

java.lang.Object
be.fgov.ehealth.commons.core.v1.LocalisedString

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:23+02:00", comments="JAXB RI v4.0.5") public class LocalisedString extends Object implements Serializable
stringvalue localized for supported language.

Java class for LocalisedString complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="LocalisedString">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute name="Lang" type="{urn:be:fgov:ehealth:commons:core:v1}LangageType" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalisedString()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LangageType`
  `getLang()`
  Gets the value of the lang property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setLang(LangageType value)`
  Sets the value of the lang property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LocalisedString

    public LocalisedString()

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLang

    public LangageType getLang()
    Gets the value of the lang property.
    Returns:
      possible object is `LangageType`

  - ### setLang

    public void setLang(LangageType value)
    Sets the value of the lang property.
    Parameters:
      `value` - allowed object is `LangageType`